<?php

namespace Litecms\Concern\Seeders;

use DB;
use Illuminate\Database\Seeder;

class ConcernTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('concerns')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'concern.concern.view',
                'name'      => 'View Concern',
            ],
            [
                'slug'      => 'concern.concern.create',
                'name'      => 'Create Concern',
            ],
            [
                'slug'      => 'concern.concern.edit',
                'name'      => 'Update Concern',
            ],
            [
                'slug'      => 'concern.concern.delete',
                'name'      => 'Delete Concern',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'concern.concern.verify',
                'name'      => 'Verify Concern',
            ],
            [
                'slug'      => 'concern.concern.approve',
                'name'      => 'Approve Concern',
            ],
            [
                'slug'      => 'concern.concern.publish',
                'name'      => 'Publish Concern',
            ],
            [
                'slug'      => 'concern.concern.unpublish',
                'name'      => 'Unpublish Concern',
            ],
            [
                'slug'      => 'concern.concern.cancel',
                'name'      => 'Cancel Concern',
            ],
            [
                'slug'      => 'concern.concern.archive',
                'name'      => 'Archive Concern',
            ],
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/concern/concern',
                'name'        => 'Concern',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/concern/concern',
                'name'        => 'Concern',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'concern',
                'name'        => 'Concern',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Concern',
                'module'    => 'Concern',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'concern.concern.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
