<?php

namespace Litecms\Concern\Repositories\Eloquent;

use Litecms\Concern\Interfaces\ConcernRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Concern\Repositories\Eloquent\Presenters\ConcernItemPresenter;


class ConcernRepository extends BaseRepository implements ConcernRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.concern.concern.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.concern.concern.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ConcernItemPresenter::class;
    }
}
