<?php

namespace Litecms\Concern\Workflow;

use Litecms\Concern\Models\Concern;
use Litecms\Concern\Notifications\ConcernWorkflow as ConcernNotifyer;
use Notification;

class ConcernNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Concern $concern
     *
     * @return void
     */
    public function complete(Concern $concern)
    {
        return Notification::send($concern->user, new ConcernNotifyer($concern, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Concern $concern
     *
     * @return void
     */
    public function verify(Concern $concern)
    {
        return Notification::send($concern->user, new ConcernNotifyer($concern, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Concern $concern
     *
     * @return void
     */
    public function approve(Concern $concern)
    {
        return Notification::send($concern->user, new ConcernNotifyer($concern, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Concern $concern
     *
     * @return void
     */
    public function publish(Concern $concern)
    {
        return Notification::send($concern->user, new ConcernNotifyer($concern, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Concern $concern
     *
     * @return void
     */
    public function archive(Concern $concern)
    {
        return Notification::send($concern->user, new ConcernNotifyer($concern, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Concern $concern
     *
     * @return void
     */
    public function unpublish(Concern $concern)
    {
        return Notification::send($concern->user, new ConcernNotifyer($concern, 'unpublish'));;

    }
}
